Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::Rectangle Struct Reference

`#include <OgreRectangle.h>`

List of all members.

## Public Methods

bool | inside (Real x, Real y) const

## Public Attributes

Real | left
Real | top
Real | right
Real | bottom

## Member Function Documentation

bool Ogre::Rectangle::inside | ( | Real | x,
|  | Real | y
| ) | const

| Definition at line 39 of file OgreRectangle.h. References Ogre::Real. Referenced by Ogre::GuiElement::contains().

## Member Data Documentation

Real Ogre::Rectangle::bottom

| Definition at line 37 of file OgreRectangle.h. Referenced by Ogre::GuiElement::_updateFromParent(), and Ogre::intersect().

Real Ogre::Rectangle::left

| Definition at line 34 of file OgreRectangle.h. Referenced by Ogre::GuiElement::_updateFromParent(), and Ogre::intersect().

Real Ogre::Rectangle::right

| Definition at line 36 of file OgreRectangle.h. Referenced by Ogre::GuiElement::_updateFromParent(), and Ogre::intersect().

Real Ogre::Rectangle::top

| Definition at line 35 of file OgreRectangle.h. Referenced by Ogre::GuiElement::_updateFromParent(), and Ogre::intersect().

The documentation for this struct was generated from the following file:

- OgreRectangle.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:27 2004